Debugging
- Last Updated: October 14, 2024
- 2 minute read
- LoadMaster
- Multi-Tenant LoadMaster
- Documentation
Ping Host
This API command can be used to perform a ping.
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/logging/ping?addr=<IPAddress>&intf=<InterfaceID>"Available Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
addr |
Address |
Specify the host to perform the ping on. |
Yes |
|
intf |
Integer |
Specify the ID of the interface from which the ping should be sent from. If the interface is not specified here, the correct interface to ping an address on a particular network will be automatically selected. |
No |
Example Output
<Response stat="200" code="ok"><Success>PING 10.154.11.150 (10.154.11.150) 56(84) bytes of data. 64 bytes from 10.154.11.150: icmp_seq=1 ttl=62 time=89.6 ms 64 bytes from 10.154.11.150: icmp_seq=2 ttl=62 time=88.7 ms 64 bytes from 10.154.11.150: icmp_seq=3 ttl=62 time=89.5 ms --- 10.154.11.150 ping statistics --- 3 packets transmitted, 3 received, 0% packet loss, time 2003ms rtt min/avg/max/mdev = 88.787/89.326/89.631/0.515 ms</Success></Response>Run a Traceroute
This command can be used to perform a traceroute.
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/logging/traceroute?addr=<IPAddress>"Available Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
addr |
Address |
Specify the host to perform the traceroute on. |
Yes |
Example Output
<Response stat="200" code="ok"><Success><DATA>#traceroute to 10.154.11.150 (10.154.11.150), 30 hops max, 60 byte packets#1 172.21.122.1 0.656 ms 0.610 ms 0.579 ms#2 10.0.70.1 1.621 ms 1.614 ms 1.582 ms#3 10.154.11.150 92.547 ms 92.550 ms 92.532 ms#</DATA>#</Success></Response>Debug Options
Get/Set Debug Options
The following debug options can be managed using the set/get commands.
- netconsole
- irqbalance
- irqpin
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/set?param=netconsole&value=<NetconsoleHost>"Available Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
param |
String |
The name of the parameter to be retrieved/configured. |
Yes |
|
value |
String |
The value to set the parameter to. |
Yes - if setting. No - if getting. |
Example Output
<Response stat="200" code="ok"><Success>Command completed ok</Success></Response>Get/Set the Open vSwitch Log Level
The commands below can be used to retrieve or configure the Ovs Logging Level.
Example Command
Set (Configure)
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/logging/setovsloglevel?level=<Level>"Get (Retrieve)
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/logging/getovsloglevelAvailable Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
level |
String |
The level of Open vSwitch logs to record. Valid values are as follows:
|
Yes - if setting. No – if getting. |
Example Output
<Response stat="200" code="ok"><Success>Command completed ok. level=emer</Success></Response>Run a TCP Dump
A TCP dump can be ran by running the following command:
https://<MTIPAddress>/mtaccess/tcpdump?maxpackets=<MaximumNumberOfPackets>&maxtime=<MaximumTime>&interface=<InterfaceID>&port=<Port>&address=<Address>&tcpoptions=<OptionalParameters>All parameters are optional.
|
Name |
Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
maxpackets |
I |
The maximum number of packets to capture. The default value for this parameter is 10000. Valid values range from 1 to 200000. The maximum is the API maximum. The actual maximum size is defined by the space available. |
N |
|
maxtime |
I |
The maximum number of seconds to capture. The default value for this parameter is 10. Valid values range from 1 to 600. |
N |
|
interface |
I |
The interface(s) to monitor. The default interface is eth0. A TCP dump can be captured either by one or all Ethernet ports. |
N |
|
port |
I |
The port to be monitored. |
N |
|
address |
I |
The (optional) address to be monitored. |
N |
|
tcpoptions |
S |
Any optional parameters needed. The maximum number of characters permitted is 255. |
N |
For detailed information related to TCP dump, refer to the Packet Trace Guide Technical Note.
Run Other Debug Options
These other debug options commands can be run via the API:
- ps
- meminfo
- ifconfig
- netstat
- interrupts
- partitions
- cpuinfo
- df
- lspci
- lsmod
- slabinfo
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/logging/meminfo"Example Output
<Response stat="200" code="ok"><Success>Content-Type: text/plain MemTotal: 8196800 kB MemFree: 7636968 kB Buffers: 3076 kB Cached: 200512 kB SwapCached: 0 kB Active: 105144 kB Inactive: 116768 kB Active(anon): 18556 kB Inactive(anon): 20 kB Active(file): 86588 kB Inactive(file): 116748 kB Unevictable: 0 kB Mlocked: 0 kB SwapTotal: 0 kB SwapFree: 0 kB Dirty: 28 kB Writeback: 0 kB AnonPages: 18448 kB Mapped: 9804 kB Shmem: 252 kB Slab: 17132 kB SReclaimable: 7148 kB SUnreclaim: 9984 kB KernelStack: 848 kB PageTables: 1052 kB NFS_Unstable: 0 kB Bounce: 0 kB WritebackTmp: 0 kB CommitLimit: 4098400 kB Committed_AS: 196668 kB VmallocTotal: 34359738367 kB VmallocUsed: 148456 kB VmallocChunk: 34359589499 kB AnonHugePages: 0 kB DirectMap4k: 10176 kB DirectMap2M: 8378368 kB</Success></Response>Retrieve RAID Information
Display the Redundant Array of Independent Disks (RAID) controller details, including the model name, serial number, capacity, state, status, level, and total members in the RAID, by running this command:
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/getraidinfo"Retrieve RAID Disk Information
Display details about the RAID disks, including the model name, serial number, firmware version, capacity, type, and speed, by running this command:
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/getraiddisksinfo"